Bug 816827 - [WebTran] Switching Message Filter before loading completed causes incorrect filter result
[WebTran] Switching Message Filter before loading completed causes incorrect ...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.6-SNAPSHOT
Unspecified Unspecified
unspecified Severity medium
: ---
: 1.6-beta-1
Assigned To: Alex Eng
Joyce Chang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 02:22 EDT by Ding-Yi Chen
Modified: 2013-03-03 22:19 EST (History)
3 users (show)

See Also:
Fixed In Version: Zanata version 1.6.0-alpha-3-SNAPSHOT (20120511-0019).
Doc Type: Bug Fix
Doc Text:
Cause Changing message filters while page is loading. Consequence The filter is not applied properly, and messages are listed which should be filtered out. Fix User input is prevented by a modal pop-up during page load. Result User cannot change filters until page is fully loaded.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 20:58:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2012-04-27 02:22:02 EDT
Description of problem:
Suppose a user want to switch the message filter from "Translated" to "Need Review", if he/she make a switch before loading completed, the filtering result might mess up.

Version-Release number of selected component (if applicable):
Zanata version 1.6.0-alpha-1 (20120419-0011).

How reproducible:
Always

Steps to Reproduce:
1. Find a document that is multiple-paged contains empty, fuzzy, and approved translation
   Or find a related empty document, with 
   1, 2 and last entries are approved
   3, 5 entries are fuzzy
   the rest are empty.
2. Uncheck all the Message Filters
3. Check the "Translated" 
   Up to this point, it should correctly shows message 1 and message 2
4. Quick uncheck "Translated" then check "Need Review", before the "Loading" pop up disappeared.

  
Actual results:
The filtered message list messed with all of empty, fuzzy and approved messages.

In some occasion, it will look as if result is correct by putting all the fuzzy messages on first page. But click on 2nd page shows both empty and approved messages.

Expected results:
Only fuzzy message are shown.

Additional info:
Comment 1 Alex Eng 2012-05-09 22:09:08 EDT
Fixed in Zanata version 1.6.0-alpha-3-SNAPSHOT 

See: https://github.com/zanata/zanata/commit/8c6ad35ab66c5d1a55d7bdc6ee79de6117cf8c6d

*Note: Loading popup has been changed to modal view to prevent users from changing options while loading is happening.
Comment 2 Joyce Chang 2012-05-11 00:43:34 EDT
verified in Zanata version 1.6.0-alpha-3-SNAPSHOT (20120511-0019).
Comment 3 Sean Flanigan 2012-06-05 21:15:13 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause

Changing message filters while page is loading.

Consequence

The filter is not applied properly, and messages are listed which should be filtered out.

Fix

User input is prevented by a modal pop-up during page load.

Result

User cannot change filters until page is fully loaded.

Note You need to log in before you can comment on or make changes to this bug.